/*******************************************************************************
Copyright © 2023 Sebastian Roith

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Lege entsprechend der nachfolgenden Vorgaben die Sichtbarkeiten fest:</p><ol><li><p>Das Attribut <code>name</code> soll für alle Klassen im aktuellen Paket sichtbar sein.</p></li><li><p>Der Konstruktor soll für alle sichtbar sein.</p></li><li><p>Die Methode <code>belle</code> soll privat sein.</p></li></ol><p>Lass alles andere unverändert.</p>",
	"code": "class HUND {\n    String name;\n    \n    HUND(String name) {\n        this.name = name;\n        this.bellen();\n    }\n    \n    void bellen() {\n        println(this.name + \" bellt: Wuff! Wuff!\");\n    }\n}\n",
	"canReset": true,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "HUND",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "name",
					"type": "String",
					"dimensions": 0,
					"static": false,
					"visibility": 2
				},
				{
					"part": "constructor",
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"type": "String",
							"dimensions": 0,
							"name": "name"
						}
					],
					"visibility": 3,
					"content": " this.name = name;this.bellen();"
				},
				{
					"part": "method",
					"name": "bellen",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [],
					"visibility": 0,
					"content": " println(this.name + \" bellt: Wuff! Wuff!\");"
				}
			]
		}
	]
}
